[tox]
envlist = py34

[testenv]
basepython = python3.4
PYTHONPATH = {toxinidir}:{toxinidir}/google_web_scraper
commands = python setup.py test
deps = -r{toxinidir}/requirements/test.txt
passenv = http_proxy no_proxy
ignore_errors = True

; If you want to make tox run the tests with the same versions, create a
; requirements.txt with the pinned versions and uncomment the following lines:
; deps =
;     -r{toxinidir}/requirements.txt

[testenv:bamboo]
commands =
  py.test --junitxml=results.xml --cov=google_web_scraper --cov-config=tox.ini --cov-report=xml --cov-report=html
  coverage2clover -i coverage.xml -o clover.xml
deps =
    {[testenv]deps}
    pytest
    pytest-cov
    coverage2clover

# read by pytest
[pytest]
python_files = *.py

# read by coverage
[run]
omit=google_web_scraper/tests/*,google_web_scraper/__main__.py



